=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2011-12-19 13:24:45 +0000
+++ bzrlib/osutils.py	2012-01-05 10:37:58 +0000
@@ -2035,27 +2035,6 @@
     return get_terminal_encoding()
 
 
-_message_encoding = None
-
-
-def get_message_encoding():
-    """Return the encoding used for messages
-
-    While the message encoding is a general setting it should usually only be
-    needed for decoding system error strings such as from OSError instances.
-    """
-    global _message_encoding
-    if _message_encoding is None:
-        if os.name == "posix":
-            # This is a process-global setting that can change, but should in
-            # general just get set once at process startup then be constant.
-            _message_encoding = locale.getlocale(locale.LC_MESSAGES)[1]
-        else:
-            # On windows want the result of GetACP() which this boils down to.
-            _message_encoding = get_user_encoding()
-    return _message_encoding or "ascii"
-        
-
 def get_host_name():
     """Return the current unicode host name.
 

=== modified file 'bzrlib/tests/test_osutils_encodings.py'
--- bzrlib/tests/test_osutils_encodings.py	2011-12-19 13:24:45 +0000
+++ bzrlib/tests/test_osutils_encodings.py	2012-01-05 10:37:58 +0000
@@ -17,9 +17,7 @@
 """Tests for the osutils wrapper."""
 
 import codecs
-import errno
 import locale
-import os
 import sys
 
 from bzrlib import (
@@ -202,17 +200,3 @@
         self._encoding = ''
         self.assertEquals('ascii', osutils.get_user_encoding())
         self.assertEquals('', sys.stderr.getvalue())
-
-
-class TestMessageEncoding(TestCase):
-    """Tests for getting the encoding used by system messages"""
-
-    def test_get_message_encoding(self):
-        encoding_name = osutils.get_message_encoding()
-        "".decode(encoding_name) # should be a valid encoding name
-
-    def test_get_message_encoding_decodes_strerror(self):
-        encoding_name = osutils.get_message_encoding()
-        for number, name in errno.errorcode.iteritems():
-            string = os.strerror(number)
-            string.decode(encoding_name)

